package Bencher::ScenarioR::Accessors::Construction;

our $VERSION = 0.14; # VERSION

our $results = [
  [
    200,
    "OK",
    [
      {
        errors => 3.5e-11,
        participant => "Moos",
        rate => 142190,
        samples => 23,
        time => 7.033,
        vs_slowest => 1,
      },
      {
        errors => 3.3e-09,
        participant => "Class::InsideOut",
        rate => 340000,
        samples => 20,
        time => 3,
        vs_slowest => 2.4,
      },
      {
        errors => 3e-09,
        participant => "Simple::Accessor",
        rate => 460000,
        samples => 25,
        time => 2.2,
        vs_slowest => 3.2,
      },
      {
        errors => 3.4e-09,
        participant => "Class::Tiny",
        rate => 650000,
        samples => 20,
        time => 1.5,
        vs_slowest => 4.6,
      },
      {
        errors => 1.2e-09,
        participant => "Moose",
        rate => 820000,
        samples => 20,
        time => 1.2,
        vs_slowest => 5.8,
      },
      {
        errors => 1.2e-09,
        participant => "Evo::Class",
        rate => 830000,
        samples => 21,
        time => 1.2,
        vs_slowest => 5.9,
      },
      {
        errors => 4.2e-10,
        participant => "Mo",
        rate => 1080000,
        samples => 20,
        time => 0.928,
        vs_slowest => 7.58,
      },
      {
        errors => 3.4e-11,
        participant => "Class::Struct",
        rate => 1217000,
        samples => 20,
        time => 0.8217,
        vs_slowest => 8.559,
      },
      {
        errors => 4e-10,
        participant => "Moops",
        rate => 1310000,
        samples => 22,
        time => 0.763,
        vs_slowest => 9.22,
      },
      {
        errors => 1.2e-11,
        participant => "Moo",
        rate => 1345000,
        samples => 20,
        time => 0.7435,
        vs_slowest => 9.46,
      },
      {
        errors => 1.1e-11,
        participant => "Class::Accessor",
        rate => 1539000,
        samples => 20,
        time => 0.6496,
        vs_slowest => 10.83,
      },
      {
        errors => 6.2e-10,
        participant => "Mouse",
        rate => 1700000,
        samples => 20,
        time => 0.58,
        vs_slowest => 12,
      },
      {
        errors => 3.5e-11,
        participant => "no generator (array-based)",
        rate => 2129000,
        samples => 20,
        time => 0.4698,
        vs_slowest => 14.97,
      },
      {
        errors => 1.1e-11,
        participant => "no generator (hash-based)",
        rate => 2585000,
        samples => 20,
        time => 0.3868,
        vs_slowest => 18.18,
      },
      {
        errors => 1.1e-11,
        participant => "Object::Simple",
        rate => 2686000,
        samples => 20,
        time => 0.3723,
        vs_slowest => 18.89,
      },
      {
        errors => 1.2e-11,
        participant => "Mojo::Base",
        rate => 2746000,
        samples => 20,
        time => 0.3642,
        vs_slowest => 19.31,
      },
      {
        errors => 8.3e-10,
        participant => "Object::Tiny::RW",
        rate => 2800000,
        samples => 20,
        time => 0.35,
        vs_slowest => 20,
      },
      {
        errors => 1.1e-11,
        participant => "Object::Tiny",
        rate => 2833000,
        samples => 20,
        time => 0.353,
        vs_slowest => 19.92,
      },
      {
        errors => 1.1e-11,
        participant => "Class::Accessor::Array",
        rate => 2966000,
        samples => 22,
        time => 0.3372,
        vs_slowest => 20.86,
      },
      {
        errors => 2.1e-10,
        participant => "no generator (scalar-based)",
        rate => 3000000,
        samples => 20,
        time => 0.334,
        vs_slowest => 21.1,
      },
      {
        errors => 1.4e-10,
        participant => "Class::XSAccessor",
        rate => 4240000,
        samples => 21,
        time => 0.236,
        vs_slowest => 29.8,
      },
      {
        errors => 1e-10,
        participant => "Object::Tiny::RW::XS",
        rate => 4270000,
        samples => 20,
        time => 0.234,
        vs_slowest => 30.1,
      },
      {
        errors => 4.5e-11,
        participant => "Object::Tiny::XS",
        rate => 4340000,
        samples => 20,
        time => 0.231,
        vs_slowest => 30.5,
      },
      {
        errors => 3.1e-10,
        participant => "Class::XSAccessor::Array",
        rate => 4400000,
        samples => 20,
        time => 0.23,
        vs_slowest => 31,
      },
      {
        errors => 1.1e-11,
        participant => "Mojo::Base::XS",
        rate => 4559000,
        samples => 30,
        time => 0.2194,
        vs_slowest => 32.06,
      },
    ],
    {
      "func.bencher_args"              => {
                                            action => "bench",
                                            note => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
                                            scenario_module => "Accessors::Construction",
                                          },
      "func.bencher_version"           => undef,
      "func.cpu_info"                  => [
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 0,
                                              speed                        => 2658.906,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 1,
                                              speed                        => 2732.187,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 2,
                                              speed                        => 2896.906,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 3,
                                              speed                        => "2607.500",
                                              stepping                     => 4,
                                            },
                                          ],
      "func.elapsed_time"              => 0.583918809890747,
      "func.module_startup"            => undef,
      "func.module_versions"           => {
                                            "__PACKAGE__" => 1.034,
                                            "Bencher::Scenario::Accessors::Construction" => undef,
                                            "Benchmark::Dumb" => "0.10",
                                            "Class::Accessor" => 0.34,
                                            "Class::Accessor::Array" => 0.02,
                                            "Class::InsideOut" => 1.13,
                                            "Class::Struct" => 0.65,
                                            "Class::Tiny" => 1.004,
                                            "Class::XSAccessor" => 1.19,
                                            "Class::XSAccessor::Array" => 1.19,
                                            "Devel::Platform::Info" => 0.16,
                                            "Evo::Class" => undef,
                                            "Mo" => "0.40",
                                            "Mojo::Base" => undef,
                                            "Mojo::Base::XS" => 0.07,
                                            "Moo" => 2.002004,
                                            "Moops" => 0.034,
                                            "Moos" => "0.30",
                                            "Moose" => 2.1805,
                                            "Mouse" => "v2.4.5",
                                            "Object::Simple" => 3.17,
                                            "Object::Tiny" => 1.08,
                                            "Object::Tiny::RW" => 1.07,
                                            "Object::Tiny::RW::XS" => 0.03,
                                            "Object::Tiny::XS" => 1.01,
                                            "perl" => "v5.24.0",
                                            "Perl::Examples::Accessors" => 0.12,
                                            "Perl::Examples::Accessors::Array" => 0.12,
                                            "Perl::Examples::Accessors::ClassAccessor" => 0.12,
                                            "Perl::Examples::Accessors::ClassAccessorArray" => 0.12,
                                            "Perl::Examples::Accessors::ClassInsideOut" => 0.12,
                                            "Perl::Examples::Accessors::ClassStruct" => 0.12,
                                            "Perl::Examples::Accessors::ClassTiny" => 0.12,
                                            "Perl::Examples::Accessors::ClassXSAccessor" => 0.12,
                                            "Perl::Examples::Accessors::ClassXSAccessorArray" => 0.12,
                                            "Perl::Examples::Accessors::EvoClass" => 0.12,
                                            "Perl::Examples::Accessors::Hash" => 0.12,
                                            "Perl::Examples::Accessors::Mo" => 0.12,
                                            "Perl::Examples::Accessors::MojoBase" => 0.12,
                                            "Perl::Examples::Accessors::MojoBaseXS" => 0.12,
                                            "Perl::Examples::Accessors::Moo" => 0.12,
                                            "Perl::Examples::Accessors::Moops" => 0.12,
                                            "Perl::Examples::Accessors::Moos" => 0.12,
                                            "Perl::Examples::Accessors::Moose" => 0.12,
                                            "Perl::Examples::Accessors::Mouse" => 0.12,
                                            "Perl::Examples::Accessors::ObjectSimple" => 0.12,
                                            "Perl::Examples::Accessors::ObjectTiny" => 0.12,
                                            "Perl::Examples::Accessors::ObjectTinyRW" => 0.12,
                                            "Perl::Examples::Accessors::ObjectTinyRWXS" => 0.12,
                                            "Perl::Examples::Accessors::ObjectTinyXS" => 0.12,
                                            "Perl::Examples::Accessors::Scalar" => 0.12,
                                            "Perl::Examples::Accessors::SimpleAccessor" => 0.12,
                                            "Simple::Accessor" => 1.02,
                                            "Sys::Info" => 0.78,
                                          },
      "func.note"                      => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
      "func.permute"                   => ["perl", ["perl"], "participant", [0 .. 24]],
      "func.platform_info"             => {
                                            archname => "x86_64",
                                            codename => "rosa",
                                            is32bit  => 0,
                                            is64bit  => 1,
                                            kernel   => "linux-3.19.0-32-generic",
                                            kname    => "Linux",
                                            kvers    => "3.19.0-32-generic",
                                            osflag   => "linux",
                                            oslabel  => "LinuxMint",
                                            osname   => "GNU/Linux",
                                            osvers   => 17.3,
                                            source   => {
                                                          "cat /etc/.issue" => "",
                                                          "cat /etc/issue"  => "Linux Mint 17.3 Rosa \\n \\l",
                                                          "lsb_release -a"  => "Distributor ID:\tLinuxMint\nDescription:\tLinux Mint 17.3 Rosa\nRelease:\t17.3\nCodename:\trosa",
                                                          "uname -a"        => "Linux backpacker 3.19.0-32-generic #37~14.04.1-Ubuntu SMP Thu Oct 22 09:41:40 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux",
                                                          "uname -m"        => "x86_64",
                                                          "uname -o"        => "GNU/Linux",
                                                          "uname -r"        => "3.19.0-32-generic",
                                                          "uname -s"        => "Linux",
                                                        },
                                          },
      "func.precision"                 => 0,
      "func.scenario_module"           => "Bencher::Scenario::Accessors::Construction",
      "func.scenario_module_md5sum"    => "bf03e6af3e506f160b6abb13206f3524",
      "func.scenario_module_mtime"     => 1473472033,
      "func.scenario_module_sha1sum"   => "fe054e4d9341bef2436d320bf9748ae03e9afcf3",
      "func.scenario_module_sha256sum" => "5968ae69b1f8c09c9389560cd2948c7041f2c25ef1127405923a12b2008680f9",
      "func.time_end"                  => 1485326538.19882,
      "func.time_factor"               => 1000000,
      "func.time_start"                => 1485326537.61491,
      "table.field_aligns"             => ["left", "left", "number", "number", "number", "number", "number"],
      "table.field_units"              => [undef, undef, "/s", "\x{3BC}s"],
      "table.fields"                   => [
                                            "participant",
                                            "dataset",
                                            "rate",
                                            "time",
                                            "vs_slowest",
                                            "errors",
                                            "samples",
                                          ],
    },
  ],
];

1;
# ABSTRACT: Benchmark object construction

=head1 DESCRIPTION

This module is automatically generated by Pod::Weaver::Plugin::Bencher::Scenario during distribution build.

A Bencher::ScenarioR::* module contains the raw result of sample benchmark and might be useful for some stuffs later.

