package Bencher::ScenarioR::Accessors::GeneratorStartup;

our $VERSION = 0.14; # VERSION

our $results = [
  [
    200,
    "OK",
    [
      {
        errors => 0.00038,
        mod_overhead_time => 145.2,
        participant => "Moose",
        proc_private_dirty_size => 5,
        proc_rss_size => 8.8,
        proc_size => 43,
        samples => 20,
        time => 150,
        vs_slowest => 1,
      },
      {
        errors => 0.00017,
        mod_overhead_time => 62.2,
        participant => "Moops",
        proc_private_dirty_size => 0.85,
        proc_rss_size => 4.2,
        proc_size => 16,
        samples => 20,
        time => 67,
        vs_slowest => 2.2,
      },
      {
        errors => 0.00015,
        mod_overhead_time => 31.2,
        participant => "Evo::Class",
        proc_private_dirty_size => 14,
        proc_rss_size => 18,
        proc_size => 50,
        samples => 20,
        time => 36,
        vs_slowest => 4.2,
      },
      {
        errors => 0.0001,
        mod_overhead_time => 19.2,
        participant => "Mouse",
        proc_private_dirty_size => 1.4,
        proc_rss_size => 4.9,
        proc_size => 19,
        samples => 21,
        time => 24,
        vs_slowest => 6.3,
      },
      {
        errors => 0.00012,
        mod_overhead_time => 15.2,
        participant => "Moos",
        proc_private_dirty_size => 1.4,
        proc_rss_size => 4.9,
        proc_size => 19,
        samples => 20,
        time => 20,
        vs_slowest => 7.7,
      },
      {
        errors => 5.8e-05,
        mod_overhead_time => 14.2,
        participant => "Moo",
        proc_private_dirty_size => 1.4,
        proc_rss_size => 4.8,
        proc_size => 19,
        samples => 20,
        time => 19,
        vs_slowest => 8.1,
      },
      {
        errors => 5.7e-05,
        mod_overhead_time => 10.2,
        participant => "Class::InsideOut",
        proc_private_dirty_size => 1.8,
        proc_rss_size => 5.3,
        proc_size => 19,
        samples => 20,
        time => 15,
        vs_slowest => 9.8,
      },
      {
        errors => 7.6e-05,
        mod_overhead_time => 10.2,
        participant => "Mojo::Base",
        proc_private_dirty_size => 0.86,
        proc_rss_size => 4.1,
        proc_size => 16,
        samples => 20,
        time => 15,
        vs_slowest => 9.9,
      },
      {
        errors => 2e-05,
        mod_overhead_time => 9.2,
        participant => "Class::Tiny",
        proc_private_dirty_size => 2.1,
        proc_rss_size => 5.5,
        proc_size => 21,
        samples => 20,
        time => 14,
        vs_slowest => 11,
      },
      {
        errors => 5.8e-05,
        mod_overhead_time => 7.2,
        participant => "Class::Struct",
        proc_private_dirty_size => 0.82,
        proc_rss_size => 4.1,
        proc_size => 16,
        samples => 20,
        time => 12,
        vs_slowest => 12,
      },
      {
        errors => 7.1e-05,
        mod_overhead_time => 7.2,
        participant => "Class::XSAccessor::Array",
        proc_private_dirty_size => 0.91,
        proc_rss_size => 4.3,
        proc_size => 18,
        samples => 20,
        time => 12,
        vs_slowest => 13,
      },
      {
        errors => 7.5e-05,
        mod_overhead_time => 7.2,
        participant => "Object::Tiny::RW::XS",
        proc_private_dirty_size => 0.82,
        proc_rss_size => 4.1,
        proc_size => 16,
        samples => 20,
        time => 12,
        vs_slowest => 13,
      },
      {
        errors => 7.9e-05,
        mod_overhead_time => 7.2,
        participant => "Object::Simple",
        proc_private_dirty_size => 3.1,
        proc_rss_size => 6.6,
        proc_size => 24,
        samples => 20,
        time => 12,
        vs_slowest => 13,
      },
      {
        errors => 5.2e-05,
        mod_overhead_time => 7.2,
        participant => "Object::Tiny::XS",
        proc_private_dirty_size => 0.82,
        proc_rss_size => 4.1,
        proc_size => 16,
        samples => 20,
        time => 12,
        vs_slowest => 13,
      },
      {
        errors => 8.8e-05,
        mod_overhead_time => 6.2,
        participant => "Class::Accessor",
        proc_private_dirty_size => 0.86,
        proc_rss_size => 4.2,
        proc_size => 16,
        samples => 20,
        time => 11,
        vs_slowest => 13,
      },
      {
        errors => 0.0001,
        mod_overhead_time => 6.2,
        participant => "Class::XSAccessor",
        proc_private_dirty_size => 1.4,
        proc_rss_size => 4.8,
        proc_size => 19,
        samples => 20,
        time => 11,
        vs_slowest => 13,
      },
      {
        errors => 3e-05,
        mod_overhead_time => 3.6,
        participant => "Mojo::Base::XS",
        proc_private_dirty_size => 1.4,
        proc_rss_size => 4.8,
        proc_size => 19,
        samples => 20,
        time => 8.4,
        vs_slowest => 18,
      },
      {
        errors => 3.1e-05,
        mod_overhead_time => 2.7,
        participant => "Simple::Accessor",
        proc_private_dirty_size => 1.8,
        proc_rss_size => 5.2,
        proc_size => 21,
        samples => 20,
        time => 7.5,
        vs_slowest => 20,
      },
      {
        errors => 3.4e-05,
        mod_overhead_time => 2.1,
        participant => "Mo",
        proc_private_dirty_size => 2.3,
        proc_rss_size => 5.8,
        proc_size => 26,
        samples => 20,
        time => 6.9,
        vs_slowest => 22,
      },
      {
        errors => 2.9e-05,
        mod_overhead_time => 2.1,
        participant => "Class::Accessor::Array",
        proc_private_dirty_size => 1.4,
        proc_rss_size => 4.7,
        proc_size => 17,
        samples => 20,
        time => 6.9,
        vs_slowest => 22,
      },
      {
        errors => 2e-05,
        mod_overhead_time => 1.1,
        participant => "Object::Tiny",
        proc_private_dirty_size => 0.86,
        proc_rss_size => 4.3,
        proc_size => 16,
        samples => 21,
        time => 5.9,
        vs_slowest => 26,
      },
      {
        errors => 2.4e-05,
        mod_overhead_time => 1,
        participant => "Object::Tiny::RW",
        proc_private_dirty_size => 0.88,
        proc_rss_size => 4.2,
        proc_size => 16,
        samples => 21,
        time => 5.8,
        vs_slowest => 26,
      },
      {
        errors => 1.3e-05,
        mod_overhead_time => 0,
        participant => "perl -e1 (baseline)",
        proc_private_dirty_size => 1.7,
        proc_rss_size => 5.1,
        proc_size => 19,
        samples => 20,
        time => 4.8,
        vs_slowest => 32,
      },
    ],
    {
      "func.bencher_args"              => {
                                            action => "bench",
                                            note => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
                                            scenario_module => "Accessors::GeneratorStartup",
                                          },
      "func.bencher_version"           => undef,
      "func.cpu_info"                  => [
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 0,
                                              speed                        => 2728.523,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 1,
                                              speed                        => 2814.273,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 2,
                                              speed                        => 2792.781,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 3,
                                              speed                        => "2805.250",
                                              stepping                     => 4,
                                            },
                                          ],
      "func.elapsed_time"              => 11.4260718822479,
      "func.module_startup"            => 1,
      "func.module_versions"           => {
                                            "__PACKAGE__"                                    => 1.034,
                                            "Bencher::Scenario::Accessors::GeneratorStartup" => undef,
                                            "Benchmark::Dumb"                                => "0.10",
                                            "Class::Accessor"                                => 0.34,
                                            "Class::Accessor::Array"                         => 0.02,
                                            "Class::InsideOut"                               => 1.13,
                                            "Class::Struct"                                  => 0.65,
                                            "Class::Tiny"                                    => 1.004,
                                            "Class::XSAccessor"                              => 1.19,
                                            "Class::XSAccessor::Array"                       => 1.19,
                                            "Devel::Platform::Info"                          => 0.16,
                                            "Evo::Class"                                     => undef,
                                            "Mo"                                             => "0.40",
                                            "Mojo::Base"                                     => undef,
                                            "Mojo::Base::XS"                                 => 0.07,
                                            "Moo"                                            => 2.002004,
                                            "Moops"                                          => 0.034,
                                            "Moos"                                           => "0.30",
                                            "Moose"                                          => 2.1805,
                                            "Mouse"                                          => "v2.4.5",
                                            "Object::Simple"                                 => 3.17,
                                            "Object::Tiny"                                   => 1.08,
                                            "Object::Tiny::RW"                               => 1.07,
                                            "Object::Tiny::RW::XS"                           => 0.03,
                                            "Object::Tiny::XS"                               => 1.01,
                                            "perl"                                           => "v5.24.0",
                                            "Simple::Accessor"                               => 1.02,
                                            "Sys::Info"                                      => 0.78,
                                          },
      "func.note"                      => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
      "func.permute"                   => ["perl", ["perl"], "participant", [0 .. 22]],
      "func.platform_info"             => {
                                            archname => "x86_64",
                                            codename => "rosa",
                                            is32bit  => 0,
                                            is64bit  => 1,
                                            kernel   => "linux-3.19.0-32-generic",
                                            kname    => "Linux",
                                            kvers    => "3.19.0-32-generic",
                                            osflag   => "linux",
                                            oslabel  => "LinuxMint",
                                            osname   => "GNU/Linux",
                                            osvers   => 17.3,
                                            source   => {
                                                          "cat /etc/.issue" => "",
                                                          "cat /etc/issue"  => "Linux Mint 17.3 Rosa \\n \\l",
                                                          "lsb_release -a"  => "Distributor ID:\tLinuxMint\nDescription:\tLinux Mint 17.3 Rosa\nRelease:\t17.3\nCodename:\trosa",
                                                          "uname -a"        => "Linux backpacker 3.19.0-32-generic #37~14.04.1-Ubuntu SMP Thu Oct 22 09:41:40 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux",
                                                          "uname -m"        => "x86_64",
                                                          "uname -o"        => "GNU/Linux",
                                                          "uname -r"        => "3.19.0-32-generic",
                                                          "uname -s"        => "Linux",
                                                        },
                                          },
      "func.precision"                 => 0,
      "func.scenario_module"           => "Bencher::Scenario::Accessors::GeneratorStartup",
      "func.scenario_module_md5sum"    => "6987ae618c81e40baa44913763f641d2",
      "func.scenario_module_mtime"     => 1459169292,
      "func.scenario_module_sha1sum"   => "8ca3e295d90cab65e0de29ab5e887d7eb667bf8d",
      "func.scenario_module_sha256sum" => "ae94f28e6695e34d05c797d499629801c18c6d478feb5058fb4270ecf4c81ddb",
      "func.time_end"                  => 1485326551.29512,
      "func.time_factor"               => 1000,
      "func.time_start"                => 1485326539.86905,
      "table.field_aligns"             => [
                                            "left",
                                            "left",
                                            "left",
                                            "left",
                                            "number",
                                            "number",
                                            "number",
                                            "number",
                                            "number",
                                          ],
      "table.field_units"              => [undef, "MB", "MB", "MB", "ms", "ms"],
      "table.fields"                   => [
                                            "participant",
                                            "proc_private_dirty_size",
                                            "proc_rss_size",
                                            "proc_size",
                                            "time",
                                            "mod_overhead_time",
                                            "vs_slowest",
                                            "errors",
                                            "samples",
                                          ],
    },
  ],
];

1;
# ABSTRACT: Benchmark startup of various accessor generators

=head1 DESCRIPTION

This module is automatically generated by Pod::Weaver::Plugin::Bencher::Scenario during distribution build.

A Bencher::ScenarioR::* module contains the raw result of sample benchmark and might be useful for some stuffs later.

