package Bencher::ScenarioR::Accessors::Get;

our $VERSION = 0.14; # VERSION

our $results = [
  [
    200,
    "OK",
    [
      {
        errors => 1.2e-11,
        participant => "Class::Accessor",
        rate => 2011000,
        samples => 22,
        time => 497.3,
        vs_slowest => 1,
      },
      {
        errors => 1.1e-11,
        participant => "Simple::Accessor",
        rate => 2834000,
        samples => 20,
        time => 352.8,
        vs_slowest => 1.409,
      },
      {
        errors => 3e-10,
        participant => "Class::InsideOut",
        rate => 3250000,
        samples => 21,
        time => 308,
        vs_slowest => 1.61,
      },
      {
        errors => 1e-10,
        participant => "Class::Struct",
        rate => 4320000,
        samples => 20,
        time => 231,
        vs_slowest => 2.15,
      },
      {
        errors => 3.1e-10,
        participant => "Mojo::Base",
        rate => 4900000,
        samples => 20,
        time => 210,
        vs_slowest => 2.4,
      },
      {
        errors => 4.2e-10,
        participant => "Mo",
        rate => 5000000,
        samples => 20,
        time => 200,
        vs_slowest => 2.5,
      },
      {
        errors => 1.1e-11,
        participant => "Object::Tiny::RW",
        rate => 5588000,
        samples => 20,
        time => 179,
        vs_slowest => 2.779,
      },
      {
        errors => 1.1e-11,
        participant => "no generator (array-based)",
        rate => 5588000,
        samples => 20,
        time => 178.9,
        vs_slowest => 2.779,
      },
      {
        errors => 3.1e-10,
        participant => "Object::Simple",
        rate => 5800000,
        samples => 20,
        time => 170,
        vs_slowest => 2.9,
      },
      {
        errors => 1.2e-11,
        participant => "Evo::Class",
        rate => 5846000,
        samples => 20,
        time => 171,
        vs_slowest => 2.907,
      },
      {
        errors => 1e-10,
        participant => "no generator (hash-based)",
        rate => 6010000,
        samples => 20,
        time => 166,
        vs_slowest => 2.99,
      },
      {
        errors => 3.1e-10,
        participant => "Class::Accessor::Array",
        rate => 6400000,
        samples => 20,
        time => 160,
        vs_slowest => 3.2,
      },
      {
        errors => 4.2e-10,
        participant => "Moose",
        rate => 6600000,
        samples => 20,
        time => 150,
        vs_slowest => 3.3,
      },
      {
        errors => 2.9e-10,
        participant => "Class::Tiny",
        rate => 6800000,
        samples => 20,
        time => 150,
        vs_slowest => 3.4,
      },
      {
        errors => 1.9e-10,
        participant => "Object::Tiny",
        rate => 8800000,
        samples => 23,
        time => 110,
        vs_slowest => 4.4,
      },
      {
        errors => 1.4e-10,
        participant => "Mouse",
        rate => 10000000,
        samples => 20,
        time => 99,
        vs_slowest => 5,
      },
      {
        errors => 5.3e-11,
        participant => "Object::Tiny::XS",
        rate => 11400000,
        samples => 20,
        time => 87.9,
        vs_slowest => 5.66,
      },
      {
        errors => 3.4e-10,
        participant => "Mojo::Base::XS",
        rate => 12000000,
        samples => 20,
        time => 87,
        vs_slowest => 5.7,
      },
      {
        errors => 1.6e-10,
        participant => "Moos",
        rate => 12000000,
        samples => 20,
        time => 81,
        vs_slowest => 6.1,
      },
      {
        errors => 1.6e-10,
        participant => "Moops",
        rate => 13000000,
        samples => 20,
        time => 78,
        vs_slowest => 6.3,
      },
      {
        errors => 2.4e-10,
        participant => "Object::Tiny::RW::XS",
        rate => 13000000,
        samples => 24,
        time => 77,
        vs_slowest => 6.4,
      },
      {
        errors => 1.5e-10,
        participant => "Class::XSAccessor",
        rate => 13000000,
        samples => 21,
        time => 75,
        vs_slowest => 6.6,
      },
      {
        errors => 4.6e-11,
        participant => "Moo",
        rate => 14500000,
        samples => 21,
        time => 69.1,
        vs_slowest => 7.2,
      },
      {
        errors => 6.3e-11,
        participant => "Class::XSAccessor::Array",
        rate => 19000000,
        samples => 20,
        time => 53,
        vs_slowest => 9.3,
      },
      {
        errors => 2.1e-10,
        participant => "raw hash access",
        rate => 32000000,
        samples => 20,
        time => 32,
        vs_slowest => 16,
      },
      {
        errors => 1e-11,
        participant => "raw array access",
        rate => 49500000,
        samples => 20,
        time => 20.2,
        vs_slowest => 24.6,
      },
    ],
    {
      "func.bencher_args"              => {
                                            action => "bench",
                                            note => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
                                            scenario_module => "Accessors::Get",
                                          },
      "func.bencher_version"           => undef,
      "func.cpu_info"                  => [
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 0,
                                              speed                        => "2819.140",
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 1,
                                              speed                        => 2600.718,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 2,
                                              speed                        => 2878.312,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 3,
                                              speed                        => 2600.117,
                                              stepping                     => 4,
                                            },
                                          ],
      "func.elapsed_time"              => 0.646871089935303,
      "func.module_startup"            => undef,
      "func.module_versions"           => {
                                            "__PACKAGE__" => 1.034,
                                            "Bencher::Scenario::Accessors::Get" => undef,
                                            "Benchmark::Dumb" => "0.10",
                                            "Class::Accessor" => 0.34,
                                            "Class::Accessor::Array" => 0.02,
                                            "Class::InsideOut" => 1.13,
                                            "Class::Struct" => 0.65,
                                            "Class::Tiny" => 1.004,
                                            "Class::XSAccessor" => 1.19,
                                            "Class::XSAccessor::Array" => 1.19,
                                            "Devel::Platform::Info" => 0.16,
                                            "Evo::Class" => undef,
                                            "Mo" => "0.40",
                                            "Mojo::Base" => undef,
                                            "Mojo::Base::XS" => 0.07,
                                            "Moo" => 2.002004,
                                            "Moops" => 0.034,
                                            "Moos" => "0.30",
                                            "Moose" => 2.1805,
                                            "Mouse" => "v2.4.5",
                                            "Object::Simple" => 3.17,
                                            "Object::Tiny" => 1.08,
                                            "Object::Tiny::RW" => 1.07,
                                            "Object::Tiny::RW::XS" => 0.03,
                                            "Object::Tiny::XS" => 1.01,
                                            "perl" => "v5.24.0",
                                            "Perl::Examples::Accessors::Array" => 0.12,
                                            "Perl::Examples::Accessors::ClassAccessor" => 0.12,
                                            "Perl::Examples::Accessors::ClassAccessorArray" => 0.12,
                                            "Perl::Examples::Accessors::ClassInsideOut" => 0.12,
                                            "Perl::Examples::Accessors::ClassStruct" => 0.12,
                                            "Perl::Examples::Accessors::ClassTiny" => 0.12,
                                            "Perl::Examples::Accessors::ClassXSAccessor" => 0.12,
                                            "Perl::Examples::Accessors::ClassXSAccessorArray" => 0.12,
                                            "Perl::Examples::Accessors::EvoClass" => 0.12,
                                            "Perl::Examples::Accessors::Hash" => 0.12,
                                            "Perl::Examples::Accessors::Mo" => 0.12,
                                            "Perl::Examples::Accessors::MojoBase" => 0.12,
                                            "Perl::Examples::Accessors::MojoBaseXS" => 0.12,
                                            "Perl::Examples::Accessors::Moo" => 0.12,
                                            "Perl::Examples::Accessors::Moops" => 0.12,
                                            "Perl::Examples::Accessors::Moos" => 0.12,
                                            "Perl::Examples::Accessors::Moose" => 0.12,
                                            "Perl::Examples::Accessors::Mouse" => 0.12,
                                            "Perl::Examples::Accessors::ObjectSimple" => 0.12,
                                            "Perl::Examples::Accessors::ObjectTiny" => 0.12,
                                            "Perl::Examples::Accessors::ObjectTinyRW" => 0.12,
                                            "Perl::Examples::Accessors::ObjectTinyRWXS" => 0.12,
                                            "Perl::Examples::Accessors::ObjectTinyXS" => 0.12,
                                            "Perl::Examples::Accessors::SimpleAccessor" => 0.12,
                                            "Simple::Accessor" => 1.02,
                                            "Sys::Info" => 0.78,
                                          },
      "func.note"                      => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
      "func.permute"                   => ["perl", ["perl"], "participant", [0 .. 25]],
      "func.platform_info"             => {
                                            archname => "x86_64",
                                            codename => "rosa",
                                            is32bit  => 0,
                                            is64bit  => 1,
                                            kernel   => "linux-3.19.0-32-generic",
                                            kname    => "Linux",
                                            kvers    => "3.19.0-32-generic",
                                            osflag   => "linux",
                                            oslabel  => "LinuxMint",
                                            osname   => "GNU/Linux",
                                            osvers   => 17.3,
                                            source   => {
                                                          "cat /etc/.issue" => "",
                                                          "cat /etc/issue"  => "Linux Mint 17.3 Rosa \\n \\l",
                                                          "lsb_release -a"  => "Distributor ID:\tLinuxMint\nDescription:\tLinux Mint 17.3 Rosa\nRelease:\t17.3\nCodename:\trosa",
                                                          "uname -a"        => "Linux backpacker 3.19.0-32-generic #37~14.04.1-Ubuntu SMP Thu Oct 22 09:41:40 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux",
                                                          "uname -m"        => "x86_64",
                                                          "uname -o"        => "GNU/Linux",
                                                          "uname -r"        => "3.19.0-32-generic",
                                                          "uname -s"        => "Linux",
                                                        },
                                          },
      "func.precision"                 => 0,
      "func.scenario_module"           => "Bencher::Scenario::Accessors::Get",
      "func.scenario_module_md5sum"    => "b8c97c69088ac24b48d3b0ebdd733de2",
      "func.scenario_module_mtime"     => 1480140843,
      "func.scenario_module_sha1sum"   => "0041085ad18b13f697b5c45fcaf6b63db5224ecf",
      "func.scenario_module_sha256sum" => "a4c8ae55843097cf2f1e87f32abec3865d39262c08b02468601d96d8a5894d6a",
      "func.time_end"                  => 1485326552.12542,
      "func.time_factor"               => 1000000000,
      "func.time_start"                => 1485326551.47854,
      "table.field_aligns"             => ["left", "left", "number", "number", "number", "number", "number"],
      "table.field_units"              => [undef, undef, "/s", "ns"],
      "table.fields"                   => [
                                            "participant",
                                            "dataset",
                                            "rate",
                                            "time",
                                            "vs_slowest",
                                            "errors",
                                            "samples",
                                          ],
    },
  ],
];

1;
# ABSTRACT: Benchmark attribute read/get

=head1 DESCRIPTION

This module is automatically generated by Pod::Weaver::Plugin::Bencher::Scenario during distribution build.

A Bencher::ScenarioR::* module contains the raw result of sample benchmark and might be useful for some stuffs later.

