package Bencher::ScenarioR::Accessors::Set;

our $VERSION = 0.14; # VERSION

our $results = [
  [
    200,
    "OK",
    [
      {
        errors => 1.4e-09,
        participant => "Simple::Accessor",
        rate => 264000,
        samples => 30,
        time => 3.79,
        vs_slowest => 1,
      },
      {
        errors => 8.1e-10,
        participant => "Class::Accessor",
        rate => 1700000,
        samples => 21,
        time => 0.57,
        vs_slowest => 6.6,
      },
      {
        errors => 2.1e-10,
        participant => "Class::InsideOut",
        rate => 2550000,
        samples => 20,
        time => 0.392,
        vs_slowest => 9.65,
      },
      {
        errors => 4.2e-10,
        participant => "Evo::Class",
        rate => 3900000,
        samples => 20,
        time => 0.26,
        vs_slowest => 15,
      },
      {
        errors => 8.7e-11,
        participant => "Class::Struct",
        rate => 4330000,
        samples => 29,
        time => 0.231,
        vs_slowest => 16.4,
      },
      {
        errors => 1e-11,
        participant => "Moose",
        rate => 4337000,
        samples => 20,
        time => 0.2306,
        vs_slowest => 16.42,
      },
      {
        errors => 4.2e-10,
        participant => "Object::Tiny::RW",
        rate => 4400000,
        samples => 20,
        time => 0.23,
        vs_slowest => 17,
      },
      {
        errors => 1e-10,
        participant => "Mo",
        rate => 4480000,
        samples => 20,
        time => 0.223,
        vs_slowest => 16.9,
      },
      {
        errors => 1.1e-11,
        participant => "Class::Accessor::Array",
        rate => 4561000,
        samples => 24,
        time => 0.2193,
        vs_slowest => 17.27,
      },
      {
        errors => 1e-10,
        participant => "Mojo::Base",
        rate => 5030000,
        samples => 20,
        time => 0.199,
        vs_slowest => 19,
      },
      {
        errors => 4.4e-10,
        participant => "Class::Tiny",
        rate => 5100000,
        samples => 21,
        time => 0.2,
        vs_slowest => 19,
      },
      {
        errors => 1.2e-11,
        participant => "Object::Simple",
        rate => 5241000,
        samples => 20,
        time => 0.1908,
        vs_slowest => 19.84,
      },
      {
        errors => 9.8e-11,
        participant => "no generator (hash-based)",
        rate => 5860000,
        samples => 26,
        time => 0.171,
        vs_slowest => 22.2,
      },
      {
        errors => 9.8e-12,
        participant => "no generator (array-based)",
        rate => 6399000,
        samples => 20,
        time => 0.1563,
        vs_slowest => 24.23,
      },
      {
        errors => 1.1e-11,
        participant => "Mouse",
        rate => 9180000,
        samples => 26,
        time => 0.109,
        vs_slowest => 34.7,
      },
      {
        errors => 2.1e-10,
        participant => "Moops",
        rate => 9500000,
        samples => 20,
        time => 0.11,
        vs_slowest => 36,
      },
      {
        errors => 2.6e-10,
        participant => "Mojo::Base::XS",
        rate => 9500000,
        samples => 20,
        time => 0.1,
        vs_slowest => 36,
      },
      {
        errors => 1.1e-11,
        participant => "Class::XSAccessor",
        rate => 9550000,
        samples => 20,
        time => 0.105,
        vs_slowest => 36.2,
      },
      {
        errors => 1.6e-10,
        participant => "Moos",
        rate => 10000000,
        samples => 20,
        time => 0.098,
        vs_slowest => 39,
      },
      {
        errors => 2e-10,
        participant => "Object::Tiny::RW::XS",
        rate => 11000000,
        samples => 21,
        time => 0.095,
        vs_slowest => 40,
      },
      {
        errors => 1.5e-10,
        participant => "Class::XSAccessor::Array",
        rate => 11000000,
        samples => 22,
        time => 0.094,
        vs_slowest => 40,
      },
      {
        errors => 2.1e-10,
        participant => "Moo",
        rate => 12000000,
        samples => 21,
        time => 0.082,
        vs_slowest => 46,
      },
      {
        errors => 4.2e-09,
        participant => "raw array access",
        rate => 10000000,
        samples => 20,
        time => 0.07,
        vs_slowest => 50,
      },
      {
        errors => 1.6e-10,
        participant => "raw hash access",
        rate => 15000000,
        samples => 20,
        time => 0.067,
        vs_slowest => 56,
      },
    ],
    {
      "func.bencher_args"              => {
                                            action => "bench",
                                            note => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
                                            scenario_module => "Accessors::Set",
                                          },
      "func.bencher_version"           => undef,
      "func.cpu_info"                  => [
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 0,
                                              speed                        => 2872.679,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 1,
                                              speed                        => 2872.789,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 2,
                                              speed                        => 2707.085,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 3,
                                              speed                        => 2882.906,
                                              stepping                     => 4,
                                            },
                                          ],
      "func.elapsed_time"              => 0.575912952423096,
      "func.module_startup"            => undef,
      "func.module_versions"           => {
                                            "__PACKAGE__" => 1.034,
                                            "Bencher::Scenario::Accessors::Set" => undef,
                                            "Benchmark::Dumb" => "0.10",
                                            "Class::Accessor" => 0.34,
                                            "Class::Accessor::Array" => 0.02,
                                            "Class::InsideOut" => 1.13,
                                            "Class::Struct" => 0.65,
                                            "Class::Tiny" => 1.004,
                                            "Class::XSAccessor" => 1.19,
                                            "Class::XSAccessor::Array" => 1.19,
                                            "Devel::Platform::Info" => 0.16,
                                            "Evo::Class" => undef,
                                            "Mo" => "0.40",
                                            "Mojo::Base" => undef,
                                            "Mojo::Base::XS" => 0.07,
                                            "Moo" => 2.002004,
                                            "Moops" => 0.034,
                                            "Moos" => "0.30",
                                            "Moose" => 2.1805,
                                            "Mouse" => "v2.4.5",
                                            "Object::Simple" => 3.17,
                                            "Object::Tiny" => 1.08,
                                            "Object::Tiny::RW" => 1.07,
                                            "Object::Tiny::RW::XS" => 0.03,
                                            "Object::Tiny::XS" => 1.01,
                                            "perl" => "v5.24.0",
                                            "Perl::Examples::Accessors::Array" => 0.12,
                                            "Perl::Examples::Accessors::ClassAccessor" => 0.12,
                                            "Perl::Examples::Accessors::ClassAccessorArray" => 0.12,
                                            "Perl::Examples::Accessors::ClassInsideOut" => 0.12,
                                            "Perl::Examples::Accessors::ClassStruct" => 0.12,
                                            "Perl::Examples::Accessors::ClassTiny" => 0.12,
                                            "Perl::Examples::Accessors::ClassXSAccessor" => 0.12,
                                            "Perl::Examples::Accessors::ClassXSAccessorArray" => 0.12,
                                            "Perl::Examples::Accessors::EvoClass" => 0.12,
                                            "Perl::Examples::Accessors::Hash" => 0.12,
                                            "Perl::Examples::Accessors::Mo" => 0.12,
                                            "Perl::Examples::Accessors::MojoBase" => 0.12,
                                            "Perl::Examples::Accessors::MojoBaseXS" => 0.12,
                                            "Perl::Examples::Accessors::Moo" => 0.12,
                                            "Perl::Examples::Accessors::Moops" => 0.12,
                                            "Perl::Examples::Accessors::Moos" => 0.12,
                                            "Perl::Examples::Accessors::Moose" => 0.12,
                                            "Perl::Examples::Accessors::Mouse" => 0.12,
                                            "Perl::Examples::Accessors::ObjectSimple" => 0.12,
                                            "Perl::Examples::Accessors::ObjectTinyRW" => 0.12,
                                            "Perl::Examples::Accessors::ObjectTinyRWXS" => 0.12,
                                            "Perl::Examples::Accessors::SimpleAccessor" => 0.12,
                                            "Simple::Accessor" => 1.02,
                                            "Sys::Info" => 0.78,
                                          },
      "func.note"                      => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
      "func.permute"                   => ["perl", ["perl"], "participant", [0 .. 23]],
      "func.platform_info"             => {
                                            archname => "x86_64",
                                            codename => "rosa",
                                            is32bit  => 0,
                                            is64bit  => 1,
                                            kernel   => "linux-3.19.0-32-generic",
                                            kname    => "Linux",
                                            kvers    => "3.19.0-32-generic",
                                            osflag   => "linux",
                                            oslabel  => "LinuxMint",
                                            osname   => "GNU/Linux",
                                            osvers   => 17.3,
                                            source   => {
                                                          "cat /etc/.issue" => "",
                                                          "cat /etc/issue"  => "Linux Mint 17.3 Rosa \\n \\l",
                                                          "lsb_release -a"  => "Distributor ID:\tLinuxMint\nDescription:\tLinux Mint 17.3 Rosa\nRelease:\t17.3\nCodename:\trosa",
                                                          "uname -a"        => "Linux backpacker 3.19.0-32-generic #37~14.04.1-Ubuntu SMP Thu Oct 22 09:41:40 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux",
                                                          "uname -m"        => "x86_64",
                                                          "uname -o"        => "GNU/Linux",
                                                          "uname -r"        => "3.19.0-32-generic",
                                                          "uname -s"        => "Linux",
                                                        },
                                          },
      "func.precision"                 => 0,
      "func.scenario_module"           => "Bencher::Scenario::Accessors::Set",
      "func.scenario_module_md5sum"    => "651b0164cc7c99f01a495154efcd2d92",
      "func.scenario_module_mtime"     => 1480075844,
      "func.scenario_module_sha1sum"   => "04b532534e4dbeb4059ed136136014e705973784",
      "func.scenario_module_sha256sum" => "57e2384e577a0864ee7a5b36cca5e886c5eb6b028245a2cd7b80d5b8e26b1ab6",
      "func.time_end"                  => 1485326552.89288,
      "func.time_factor"               => 1000000,
      "func.time_start"                => 1485326552.31697,
      "table.field_aligns"             => ["left", "left", "number", "number", "number", "number", "number"],
      "table.field_units"              => [undef, undef, "/s", "\x{3BC}s"],
      "table.fields"                   => [
                                            "participant",
                                            "dataset",
                                            "rate",
                                            "time",
                                            "vs_slowest",
                                            "errors",
                                            "samples",
                                          ],
    },
  ],
];

1;
# ABSTRACT: Benchmark attribute write/set

=head1 DESCRIPTION

This module is automatically generated by Pod::Weaver::Plugin::Bencher::Scenario during distribution build.

A Bencher::ScenarioR::* module contains the raw result of sample benchmark and might be useful for some stuffs later.

